import { world } from "@minecraft/server"

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('item:on_use', {
        onUse: e => {
            const { source, itemStack } = e;

            source.runCommandAsync('tag @s add use');
            source.runCommandAsync('playanimation @s animation.armor_stand.salute_pose x 1');
        }
    });
});

